#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetWaitForAngle.h>
#include <SetNS.h>
#include <GetMotorCode.h>
#include <SetLCD8Char.h>

int main(void)
{
    X3RCU_Init();
    long var0 = 0;
    SetLCDBack(1);
    while (1)
    {
        SetWaitForAngle(1, 0, 80, 1000);
        SetNS(1);
        var0 = GetMotorCode(1);
        SetLCD8Char(0, 0, var0, YELLOW, BLACK);
        SetWaitForAngle(1, 2, 80, 1000);
        SetNS(1);
        var0 = GetMotorCode(1);
        SetLCD8Char(0, 0, var0, YELLOW, BLACK);
    }
    while(1);
}

